Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access.util
Class ContextCommitObserver

    java.lang.Object
      org.objectstyle.cayenne.access.util.DefaultOperationObserver
          org.objectstyle.cayenne.access.util.ContextCommitObserver

All Implemented Interfaces:
  java.util.EventListener, DataContextTransactionEventListener, OperationHints, OperationObserver

Deprecated. Unused since 1.2

    public class ContextCommitObserver

extends DefaultOperationObserver
implements DataContextTransactionEventListener

ContextCommitObserver is used as an observer for DataContext commit operations.

Author:
  Andrei Adamchik

Field Summary
`protected DataContext` | `context` Deprecated.
`protected java.util.List` | `delObjects` Deprecated.
`protected java.util.List` | `insObjects` Deprecated.
`protected java.util.List` | `objectsToNotify` Deprecated.
`protected java.util.List` | `updObjects` Deprecated.

Fields inherited from class org.objectstyle.cayenne.access.util.DefaultOperationObserver
`DEFAULT_LOG_LEVEL, globalExceptions, queryExceptions`

Constructor Summary
`ContextCommitObserver(org.apache.log4j.Level logLevel, DataContext context, java.util.List insObjects, java.util.List updObjects, java.util.List delObjects)` Deprecated.

Method Summary
`void` | `dataContextDidCommit(DataContextEvent event)` Deprecated.
`void` | `dataContextDidRollback(DataContextEvent event)` Deprecated.
`void` | `dataContextWillCommit(DataContextEvent event)` Deprecated.
`void` | `nextGlobalException(java.lang.Exception ex)` Deprecated. Callback method invoked on exceptions that are not tied to a specific query execution, such as JDBC connection exceptions, etc.
`void` | `nextQueryException(Query query, java.lang.Exception ex)` Deprecated. Callback method invoked on exceptions that happen during an execution of a specific query.
`void` | `registerForDataContextEvents()` Deprecated.
`void` | `unregisterFromDataContextEvents()` Deprecated.

Methods inherited from class org.objectstyle.cayenne.access.util.DefaultOperationObserver
`getGlobalExceptions, getLoggingLevel, getQueryExceptions, hasExceptions, isIteratedResult, nextBatchCount, nextCount, nextDataRows, nextDataRows, nextGeneratedDataRows, printExceptions, setLoggingLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### updObjects

    protected java.util.List updObjects

  Deprecated.

### delObjects

    protected java.util.List delObjects

  Deprecated.

### insObjects

    protected java.util.List insObjects

  Deprecated.

### objectsToNotify

    protected java.util.List objectsToNotify

  Deprecated.

### context

    protected DataContext context

  Deprecated.

Constructor Detail

### ContextCommitObserver

    public ContextCommitObserver(org.apache.log4j.Level logLevel,
                                 DataContext context,
                                 java.util.List insObjects,
                                 java.util.List updObjects,
                                 java.util.List delObjects)

  Deprecated.

Method Detail

### nextQueryException

    public void nextQueryException(Query query,
                                   java.lang.Exception ex)

  Deprecated.
  Description copied from interface: `OperationObserver`
  Callback method invoked on exceptions that happen during an execution of a specific query.

  Specified by:
    `nextQueryException` in interface `OperationObserver`
  Overrides:
    `nextQueryException` in class `DefaultOperationObserver`

### nextGlobalException

    public void nextGlobalException(java.lang.Exception ex)

  Deprecated.
  Description copied from interface: `OperationObserver`
  Callback method invoked on exceptions that are not tied to a specific query execution, such as JDBC connection exceptions, etc.

  Specified by:
    `nextGlobalException` in interface `OperationObserver`
  Overrides:
    `nextGlobalException` in class `DefaultOperationObserver`

### registerForDataContextEvents

    public void registerForDataContextEvents()

  Deprecated.

### unregisterFromDataContextEvents

    public void unregisterFromDataContextEvents()

  Deprecated.

### dataContextWillCommit

    public void dataContextWillCommit(DataContextEvent event)

  Deprecated.
  Specified by:
    `dataContextWillCommit` in interface `DataContextTransactionEventListener`

### dataContextDidCommit

    public void dataContextDidCommit(DataContextEvent event)

  Deprecated.
  Specified by:
    `dataContextDidCommit` in interface `DataContextTransactionEventListener`

### dataContextDidRollback

    public void dataContextDidRollback(DataContextEvent event)

  Deprecated.
  Specified by:
    `dataContextDidRollback` in interface `DataContextTransactionEventListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.